Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class Transducer.TransitionIterator

    java.lang.Object
      cc.mallet.fst.Transducer.TransitionIterator

All Implemented Interfaces:
  java.io.Serializable, java.util.Iterator<Transducer.State>

Direct Known Subclasses:
  CRF.TransitionIterator, FeatureTransducer.TransitionIterator, HMM.TransitionIterator

Enclosing class:
  Transducer

    public abstract static class Transducer.TransitionIterator

extends java.lang.Object
implements java.util.Iterator<Transducer.State>, java.io.Serializable

An abstract class to iterate over the states of the transducer.

See Also:
  Serialized Form

Constructor Summary
`Transducer.TransitionIterator()`

Method Summary
`java.lang.String` | `describeTransition(double cutoff)`
`abstract Transducer.State` | `getDestinationState()` The state we are in after taking this transition.
`abstract int` | `getIndex()` An implementation-specific index for this transition object, can be used to index into arrays of per-transition parameters.
`abstract java.lang.Object` | `getInput()` The input symbol or object appearing on this transition.
`int` | `getInputPositionIncrement()` The number of input positions that this transition consumes.
`abstract java.lang.Object` | `getOutput()` The output symbol or object appearing on this transition.
`int` | `getOutputPositionIncrement()` The number of output positions that this transition produces.
`abstract Transducer.State` | `getSourceState()` The state we were in before taking this transition.
`Transducer` | `getTransducer()`
`abstract double` | `getWeight()` The weight (between infinity and -infinity) associated with taking this transition with this input/output.
`abstract boolean` | `hasNext()`
`Transducer.State` | `next()`
`abstract Transducer.State` | `nextState()` Deprecated.
`int` | `numberNext()` Deprecated.
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transducer.TransitionIterator

    public Transducer.TransitionIterator()

Method Detail

### hasNext

    public abstract boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<Transducer.State>`

### numberNext

    @Deprecated
    public int numberNext()

  Deprecated.

### nextState

    @Deprecated
    public abstract Transducer.State nextState()

  Deprecated.

### next

    public Transducer.State next()

  Specified by:
    `next` in interface `java.util.Iterator<Transducer.State>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<Transducer.State>`

### getIndex

    public abstract int getIndex()

  An implementation-specific index for this transition object, can be used to index into arrays of per-transition parameters.

### getInput

    public abstract java.lang.Object getInput()

  The input symbol or object appearing on this transition.

### getOutput

    public abstract java.lang.Object getOutput()

  The output symbol or object appearing on this transition.

### getWeight

    public abstract double getWeight()

  The weight (between infinity and -infinity) associated with taking this transition with this input/output.

### getSourceState

    public abstract Transducer.State getSourceState()

  The state we were in before taking this transition.

### getDestinationState

    public abstract Transducer.State getDestinationState()

  The state we are in after taking this transition.

### getInputPositionIncrement

    public int getInputPositionIncrement()

  The number of input positions that this transition consumes. This allows for transition that consume variable amounts of the sequences.

### getOutputPositionIncrement

    public int getOutputPositionIncrement()

  The number of output positions that this transition produces. This allows for transition that consume variable amounts of the sequences.

### getTransducer

    public Transducer getTransducer()

### describeTransition

    public java.lang.String describeTransition(double cutoff)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD